// pages/personal-edit/personal-edit.js
const util = require('../../utils/util');

Page({

    /**
     * 页面的初始数据
     */
    data: {

    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.setData({
            nickName: options.nickName
        });
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 保存用户信息
     */
    formSubmit: function (e) {
        let that = this;
        console.info(e);
        let values = e.detail.value;
        if (!values.nickName) {
            util.toast('请输入昵称');
            return false;
        }
        if (values.nickName == that.data.nickName) {
            console.info('未修改昵称');
            util.toast('保存成功');
            setTimeout(() => {
                wx.navigateBack({
                    delta: -1,
                });
            }, 1000);
        } else {
            let userInfo = wx.getStorageSync('userInfo');
            util.post({
                url: '/sys/user/updateNoAuth',
                data: {
                    id: userInfo.id,
                    nickName: values.nickName,
                    usernameShow: values.nickName
                },
                success: (res) => {
                    wx.hideLoading();
                    console.info(res);
                    if (res.data.code != 200) {
                        util.toast(res.data.msg);
                    } else {
                        util.toast(res.data.msg);
                        userInfo.nickName = values.nickName;
                        userInfo.usernameShow = values.nickName;
                        wx.setStorageSync('userInfo', userInfo);

                        //获取页面栈
                        let pages = getCurrentPages();
                        if (pages.length > 1) {
                            //上一个页面实例对象
                            var prePage = pages[pages.length - 2];
                            //调用上一个页面的onShow方法
                            prePage.onLoad();
                        }
                        setTimeout(() => {
                            wx.navigateBack({
                                delta: -1,
                            });
                        }, 1000);
                    }
                }
            });
        }
    }

})